Uninitialized constant ActionController::AbstractRequest (NameError) with rails 2.3

Hi guys,

I’ve just installed Rails 2.3 and I am using the clearance plugin
with cucumber features. When I run rake features I get this
“uninitialized constant ActionController::AbstractRequest (NameError)”
error from webrat trying to call AbstractRequest which now is called
Request (I think). My question is : Is there any way to alias the old
name to have backwards compatibility with plugins using it ?

Thanks,
Cezar

On Mar 18, 12:03 pm, mixandgo [email protected] wrote:

Hi guys,

I’ve just installed Rails 2.3 and I am using the clearance plugin
with cucumber features. When I run rake features I get this
“uninitialized constant ActionController::AbstractRequest (NameError)”
error from webrat trying to call AbstractRequest which now is called
Request (I think). My question is : Is there any way to alias the old
name to have backwards compatibility with plugins using it ?

Well you can certain set ActionController::AbstractRequest to be
whatever you want. There is no guarantee this will help you though, as
this part of rails has undergone substantial changes in Rails 2.3 - if
the plugin is trying to override some methods for example those
methods may no longer exist at all.

Fred

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs